spring.application.name=springbike

spring.datasource.url=jdbc:mysql://dev:1234@localhost:3306/p27_bike?createDatabaseIfNotExist=true
#Stratégy de création des tables, create-drop fait qu'il DROP et CREATE à chaque lancement de l'appli
spring.jpa.hibernate.ddl-auto=create-drop
#attendre que la bdd soit créée avant de lancer le data.sql
spring.jpa.defer-datasource-initialization=true
#Lancer le fichier data.sql au lancement de l'appli
spring.sql.init.mode=always
